import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'download' },
})
export class Download extends BaseModel {
  @prop({ required: false, index: false, zh: '下载进度' })
  progress: string;
  @prop({ required: false, index: false, zh: '下载时间' })
  create_time: string;
  @prop({ required: false, index: false, zh: '文件路径' })
  uri: string;
  @prop({ required: false, index: false, zh: '状态' })
  status: string;
  @prop({ required: false, index: false, zh: '导出文件名称' })
  title: string;
  @prop({ required: false, index: true, zh: '导出用户' })
  user: string;
  @prop({ required: false, index: true, zh: '备注' })
  remark: string;
}
